List inventory
curl --request GET \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/inventory/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/inventory/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/inventory/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 2231,
"results": [
{
"inventory": 50,
"id": 9876,
"updated_at": "2024-04-18T14:22:00Z",
"event": "restock",
"location": "Main Warehouse",
"user": "admin@example.com"
}
],
"next": "https://api.example.org/demo/accounts/?page=2",
"previous": "https://api.example.org/demo/accounts/?page=1"
}Inventory
List inventory
Retrieve a list of inventory items for the specified retailer.
GET
/
v1
/
retailers
/
{retailer_id}
/
inventory
/
List inventory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.
Example:
1001
Response
200 - application/json
OK
Total number of records
Example:
2231
Show child attributes
Show child attributes
Next page (applicable in a paginated response)
Example:
"https://api.example.org/demo/accounts/?page=2"
Previous page (applicable in a paginated response)
Example:
"https://api.example.org/demo/accounts/?page=1"
Was this page helpful?
⌘I
